ModifyInstanceType

1. API Description

This API (ModifyInstanceType) is used to modify the type of an elastic compute instance.

circle-info

Note

You can only perform this operation on instances whose status is STOPPED.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

instanceId

Yes

String

Instance ID.

To obtain the instance ID, you can call DescribeInstances and look for instanceId in the response.

instanceType

Yes

String

The instance type ID to replace.

To obtain the instance ID, you can call DescribeZoneInstanceConfigInfos and look for instanceType in the response.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Modify the type of the instance.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyInstanceType
<Common Request Params>

Request:
{
  "instanceId": "instanceId",
  "instanceType": "xxx"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {  
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_INSTANCE_NOT_FOUND

Instance not found.

404

INVALID_INSTANCE_TYPE_NOT_FOUND

Instance type not found.

400

OPERATION_DENIED_GPU_INSTANCE_NOT_SUPPORT

GPU instances are not supported for custom image creation.

400

OPERATION_DENIED_INSTANCE_STATUS_NOT_SUPPORT

Current instance state does not allow this operation.

400

OPERATION_FAILED_INSTANCE_TYPE_UNSUPPORTED

The specified instance type is not supported for this instance.

Last updated